Query Event Attendees
curl --request POST \
--url https://api.virtuoussoftware.com/api/EventAttendee/Query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
},
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
}
],
"sortBy": "<string>",
"descending": "<boolean>"
}
'{
"list": [
{
"id": "<integer>",
"eventInvitationUrl": "<string>",
"contactId": "<integer>",
"contactIndividualId": "<integer>",
"invitee": "<string>",
"contactUrl": "<string>",
"event": "<string>",
"eventId": "<integer>",
"eventViewUrl": "<string>",
"location": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"timeZone": "<string>",
"rsvp": "<string>",
"attended": "<string>",
"emailAddress": "<string>",
"invited": "<string>",
"emailStatus": "<string>",
"emailSent": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
},
{
"id": "<integer>",
"eventInvitationUrl": "<string>",
"contactId": "<integer>",
"contactIndividualId": "<integer>",
"invitee": "<string>",
"contactUrl": "<string>",
"event": "<string>",
"eventId": "<integer>",
"eventViewUrl": "<string>",
"location": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"timeZone": "<string>",
"rsvp": "<string>",
"attended": "<string>",
"emailAddress": "<string>",
"invited": "<string>",
"emailStatus": "<string>",
"emailSent": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
],
"total": "<integer>"
}Event Attendees
Query Event Attendees
POST
/
api
/
EventAttendee
/
Query
Query Event Attendees
curl --request POST \
--url https://api.virtuoussoftware.com/api/EventAttendee/Query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
},
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
}
],
"sortBy": "<string>",
"descending": "<boolean>"
}
'{
"list": [
{
"id": "<integer>",
"eventInvitationUrl": "<string>",
"contactId": "<integer>",
"contactIndividualId": "<integer>",
"invitee": "<string>",
"contactUrl": "<string>",
"event": "<string>",
"eventId": "<integer>",
"eventViewUrl": "<string>",
"location": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"timeZone": "<string>",
"rsvp": "<string>",
"attended": "<string>",
"emailAddress": "<string>",
"invited": "<string>",
"emailStatus": "<string>",
"emailSent": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
},
{
"id": "<integer>",
"eventInvitationUrl": "<string>",
"contactId": "<integer>",
"contactIndividualId": "<integer>",
"invitee": "<string>",
"contactUrl": "<string>",
"event": "<string>",
"eventId": "<integer>",
"eventViewUrl": "<string>",
"location": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"timeZone": "<string>",
"rsvp": "<string>",
"attended": "<string>",
"emailAddress": "<string>",
"invited": "<string>",
"emailStatus": "<string>",
"emailSent": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
],
"total": "<integer>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10. Max is 1000.
Last modified on June 5, 2026
Was this page helpful?
⌘I